# kind: Namespace
# apiVersion: v1
# metadata:
#   name: egommerce
#   labels:
#     name: egommerce
# ---
apiVersion: v1
kind: Secret
metadata:
  name: docker-credentials
data:
  .dockerconfigjson: ewoJImF1dGhzIjogewoJCSJnaXQucGJpZXJuYXQuaW8iOiB7CgkJCSJhdXRoIjogImEyVmxaRzl6YmpwWGIyeHVaVFZQY0hKdlozSmhiVzkzWVc1cFpVQT0iCgkJfSwKCQkiaHR0cHM6Ly9pbmRleC5kb2NrZXIuaW8vdjEvIjogewoJCQkiYXV0aCI6ICJhMlZsWkc5emJqcGtiMk5yWlhKdmQyVTFiMkp5WVhwNSIKCQl9Cgl9Cn0=
type: kubernetes.io/dockerconfigjson
---
# apiVersion: v1
# kind: Pod
# metadata:
#   name: api-registry
#   labels:
#     app.kubernetes.io/name: api-registry
# spec:
#   hostNetwork: true
#   containers:
#   - name: api-registry
#     image: git.pbiernat.dev/egommerce/api-registry:dev
#     resources:
#       limits:
#         cpu: "1"
#         memory: 512M
#     ports:
#       - containerPort: 8501
#         name: api-registry-ui
# ---
apiVersion: v1
kind: Service
metadata:
  name: api-registry
spec:
  selector:
    app.kubernetes.io/name: api-registry
  ports:
  - name: api-registry-ui
    protocol: TCP
    port: 8501
    targetPort: api-registry-ui
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-registry
spec:
  replicas: 1
  selector:
    matchLabels:
      app: api-registry
  template:
    metadata:
      labels:
        app: api-registry
    spec:
      hostNetwork: true
      hostAliases:
      - ip: "127.0.0.1"
        hostnames:
        - "git.pbiernat.io"
      dnsPolicy: ClusterFirstWithHostNet
      restartPolicy: Always
      containers:
      - name: api-registry
        image: git.pbiernat.dev/egommerce/api-registry:dev
        resources:
          limits:
            cpu: "1"
            memory: 512M
        ports:
        - containerPort: 53
        - containerPort: 8501
